<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotModelMetadata;

use UnexpectedValueException;




class ModelType
{
    


    const UNKNOWN_TYPE = 0;
    


    const LLAMA_PROD = 1;
    


    const LLAMA_PROD_PREMIUM = 2;

    private static $valueToName = [
        self::UNKNOWN_TYPE => 'UNKNOWN_TYPE',
        self::LLAMA_PROD => 'LLAMA_PROD',
        self::LLAMA_PROD_PREMIUM => 'LLAMA_PROD_PREMIUM',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

